/***************************************************************************
                          ksiemensview.cpp  -  description
                             -------------------
    begin                : Wed Jan 17 10:34:49 CET 2001
    copyright            : (C) 2001 by Matthias Welwarsky
    email                : matze@stud.fbi.fh-darmstadt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


// include files for Qt
#include <qlayout.h>

// application specific includes
#include "ksiemensview.h"
#include "ksiemens.h"
#include "phonectrlcenter.h"

KSiemensView::KSiemensView(QWidget *parent, const char *name) : QWidget(parent, name)
{
  	setBackgroundMode(PaletteBase);
	initGUI();
}

KSiemensView::~KSiemensView()
{
}

/** initialise the user interface components */
void KSiemensView::initGUI() {
	QVBoxLayout* layout = new QVBoxLayout(this);
	PhoneCtrlCenter *cs = new PhoneCtrlCenter(this, "PhoneControlCenter");
	layout->addWidget(cs);
}
